2gis и wine1.2 [РЕШЕНО]

Изображение пользователя vap.

Пользуюсь 2gis, но он в wine1.3 сильно тормозит.
нашел ответ, что надо пользовать wine1.2 и будет счастье.
поставил его
apt-get install wine1.2
но при этом снеслось
The following packages will be REMOVED:
  2gis 2gis-krasnodar 2gis-novosibirsk wine wine1.3

при попытке вернуть 2gis вновь хочет ставить wine wine1.3
# apt-get install 2gis 2gis-krasnodar 2gis-novosibirsk
Reading package lists... Done
Building dependency tree      
Reading state information... Done
The following extra packages will be installed:
  wine wine1.3
The following packages will be REMOVED:
  wine1.2
The following NEW packages will be installed:
  2gis 2gis-krasnodar 2gis-novosibirsk wine wine1.3

попробовал поставить насильно более низкую версию, все равно ставит wine1.3

[email protected]:~# apt-get install wine=1.2*
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Selected version '1.2.3-0ubuntu1' (Ubuntu:11.10/oneiric [amd64]) for 'wine'
The following package was automatically installed and is no longer required:
  wine1.2-gecko
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  wine1.3
The following NEW packages will be installed:
  wine wine1.3

и ставятся обе версии,

(Reading database ... 215673 files and directories currently installed.)
Unpacking wine1.3 (from .../wine1.3_1.3.32-0ubuntu1_amd64.deb) ...
Selecting previously deselected package wine.
Unpacking wine (from .../wine_1.2.3-0ubuntu1_amd64.deb) ...

но запускается 1.3 $ wine --version
wine-1.3.32

как быть?

РЕШЕНО

Написал сборщику 2gis он просто добавил в зависимости альтернативу на wine1.2, теперь ставятся вместе.

Комментарии (11)

0
DarkneSS - 7 Ноябрь, 2011 - 15:53
Изображение пользователя DarkneSS.

Можно открыть пакет вайн как архив, исправить зависимости с 1.3 на 1.2 и, сохранив изменения, поставить исправленный архив.

0
vap - 7 Ноябрь, 2011 - 16:03
Изображение пользователя vap.

в /var/cache/apt просто wine нет, наверное потому что он (meta package)

0
DarkneSS - 7 Ноябрь, 2011 - 18:50
Изображение пользователя DarkneSS.

Просто он давно поставился и уже удалился, тело должно быть и для метапакета. Сделайте реинсталл или скачайте руками.

0
Tonal - 8 Ноябрь, 2011 - 11:34
Изображение пользователя Tonal.

В пакетах можно указывать альтернативные зависимости например q4wine.

Идеально научить этому ребят, которые пакетируют 2-гис
0
vap - 8 Ноябрь, 2011 - 12:50
Изображение пользователя vap.

отписал сборщику, посмотрим

0
vap - 8 Ноябрь, 2011 - 14:37
Изображение пользователя vap.

Пересобрали, клево

0
itrch - 9 Ноябрь, 2011 - 07:47
Изображение пользователя itrch.

фига. оказывается 2gis ставица из репов?!!! я просто качал архивы с сайта гиса и распаковывал и усе работает.

0
vap - 9 Ноябрь, 2011 - 09:15
Изображение пользователя vap.

скачивается и работает, но каждые 3 месяца карты обновлять ручками за***вает, а так вместе со всей системой проапдейтится и ок, голову не забиваешь.

0
itrch - 9 Ноябрь, 2011 - 09:36
Изображение пользователя itrch.

3 месяца?! хм, вроде каждый месяц обновляют?...
автообновление это конечно гут. но надо же что-то самому делать, а то уж совсем скучно )))

0
vap - 9 Ноябрь, 2011 - 09:44
Изображение пользователя vap.

через 3 месяца перестает поиск работать, раньше покрайнемере так было, ну и развлечения у вас, тогда на генту идите, там пока все себе скопмпилишь новое появится и так вечно будет чем заняться.

0
itrch - 9 Ноябрь, 2011 - 10:04
Изображение пользователя itrch.

ненене. не до такой же степени. )))

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры